GET
Get positions activity
Returns unsettled fill legs and position transfers that make up the unsettled position as of a specified historical time range.
Path Params
-
accountIdstring requiredThe ID of the account
Query Params
-
transactionDateGtestring date-timeReturn activity with transactionDate greater than or equal to this timestamp. -
transactionDateLtstring date-timeReturn activity with transactionDate less than this timestamp. -
currencyarray of stringsFilter by currencies. If omitted, returns activity for all currencies. -
typearray of string enumsFilter by activity type.fill-base-legfill-quote-legposition-transfer -
offsetintegerPagination offset. -
limitintegerNumber of items per page.
Responses
200
Positions activity
Response Body
object
-
positionsActivityarray of objects requiredpositionsActivity object
-
typestring enum requiredThe type of activityfill-base-legfill-quote-legposition-transfer -
idstring requiredThe unique identifier of the fill or position transfer -
currencystring requiredThe currency symbol for this activity -
quantitystring requiredThe quantity contribution to the open position. Negative values indicate short positions, positive values indicate long positions. -
enterpriseIdstring requiredThe enterprise ID for the activity -
accountIdstring requiredThe trading account ID for the activity -
transactionDatestring date-time requiredThe date and time when the activity occurred
-
400
Bad request - Invalid query parameters
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
401
Unauthorized - Invalid or missing authentication
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
403
Forbidden - Insufficient permissions
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
500
Internal Server Error
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-